OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESToBRep

# IGESToBRep_Reader Class Reference

A simple way to read geometric IGES data.
Encapsulates reading file and calling transfer tools
.

`#include <IGESToBRep_Reader.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESToBRep_Reader ()
| Creates a Reader .
Standard_EXPORT Standard_Integer | LoadFile (const Standard_CString filename)
| Loads a Model from a file.Returns 0 if success. returns 1 if the file could not be opened, returns -1 if an error occurred while the file was being loaded. .
Standard_EXPORT void | SetModel (const Handle(IGESData_IGESModel)&model)
| Specifies a Model to work on Also clears the result and Done status, sets TransientProcess .
Standard_EXPORT Handle_IGESData_IGESModel | Model () const
| Returns the Model to be worked on. .
Standard_EXPORT void | SetTransientProcess (const Handle(Transfer_TransientProcess)&TP)
| Allows to set an already defined TransientProcess (to be called after LoadFile or SetModel) .
Standard_EXPORT Handle_Transfer_TransientProcess | TransientProcess () const
| Returns the TransientProcess .
Standard_EXPORT Handle_IGESToBRep_Actor | Actor () const
| Returns "theActor" .
Standard_EXPORT void | Clear ()
| Clears the results between two translation operations. .
Standard_EXPORT Standard_Boolean | Check (const Standard_Boolean withprint) const
| Checks the IGES file that was loaded into memory. Displays error messages in the default message file if withprint is true. Returns True if no fail message was found and False if there was at least one fail message. .
Standard_EXPORT void | TransferRoots (const Standard_Boolean onlyvisible=Standard_True)
| Translates root entities in an IGES file. Standard_True is the default value and means that only visible root entities are translated. Standard_False translates all of the roots (visible and invisible). .
Standard_EXPORT Standard_Boolean | Transfer (const Standard_Integer num)
| Transfers an Entity given its rank in the Model (Root or not) Returns True if it is recognized as Geom-Topol. (But it can have failed : see IsDone) .
Standard_EXPORT Standard_Boolean | IsDone () const
| Returns True if the LAST Transfer/TransferRoots was a success .
Standard_EXPORT Standard_Real | UsedTolerance () const
| Returns the Tolerance which has been actually used, converted in millimeters (either that from File or that from Session, according the mode) .
Standard_EXPORT Standard_Integer | NbShapes () const
| Returns the number of shapes produced by the translation. .
Standard_EXPORT TopoDS_Shape | Shape (const Standard_Integer num=1) const
| Returns the num the resulting shape in a translation operation. .
Standard_EXPORT TopoDS_Shape | OneShape () const
| Returns all of the results in a single shape which is: - a null shape if there are no results, - a shape if there is one result, - a compound containing the resulting shapes if there are several. .
## Private Attributes
Handle_IGESData_IGESModel | theModel
Standard_Boolean | theDone
TopTools_SequenceOfShape | theShapes
Handle_IGESToBRep_Actor | theActor
Handle_Transfer_TransientProcess | theProc

## Constructor & Destructor Documentation

Standard_EXPORT IGESToBRep_Reader::IGESToBRep_Reader | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESToBRep_Actor IGESToBRep_Reader::Actor | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESToBRep_Reader::Check | ( | const Standard_Boolean | withprint | ) | const

Standard_EXPORT void IGESToBRep_Reader::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean IGESToBRep_Reader::IsDone | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESToBRep_Reader::LoadFile | ( | const Standard_CString | filename | ) |

Standard_EXPORT Handle_IGESData_IGESModel IGESToBRep_Reader::Model | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESToBRep_Reader::NbShapes | ( |  | ) | const

Standard_EXPORT TopoDS_Shape IGESToBRep_Reader::OneShape | ( |  | ) | const

void IGESToBRep_Reader::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESToBRep_Reader::operator new | ( | size_t | size | ) | `[inline]`

void* IGESToBRep_Reader::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void IGESToBRep_Reader::SetModel | ( | const Handle(IGESData_IGESModel)& | model | ) |

Standard_EXPORT void IGESToBRep_Reader::SetTransientProcess | ( | const Handle(Transfer_TransientProcess)& | TP | ) |

Standard_EXPORT TopoDS_Shape IGESToBRep_Reader::Shape | ( | const Standard_Integer | num = `1` | ) | const

Standard_EXPORT Standard_Boolean IGESToBRep_Reader::Transfer | ( | const Standard_Integer | num | ) |

Standard_EXPORT void IGESToBRep_Reader::TransferRoots | ( | const Standard_Boolean | onlyvisible = `Standard_True` | ) |

Standard_EXPORT Handle_Transfer_TransientProcess IGESToBRep_Reader::TransientProcess | ( |  | ) | const

Standard_EXPORT Standard_Real IGESToBRep_Reader::UsedTolerance | ( |  | ) | const

## Field Documentation

Handle_IGESToBRep_Actor IGESToBRep_Reader::theActor`[private]`

Standard_Boolean IGESToBRep_Reader::theDone`[private]`

Handle_IGESData_IGESModel IGESToBRep_Reader::theModel`[private]`

Handle_Transfer_TransientProcess IGESToBRep_Reader::theProc`[private]`

TopTools_SequenceOfShape IGESToBRep_Reader::theShapes`[private]`

The documentation for this class was generated from the following file:

- IGESToBRep_Reader.hxx